POSTGetDelegatedResource

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getdelegatedresource

Returns all resources delegations during stake1.0 phase from an account to another account. The fromAddress can be retrieved from the GetDelegatedResourceAccountIndex API.

Request Body
fromAddressstringrequired

The queried from account address, in Base58 format or HEX format.

toAddressstringrequired

Resource recipient address. (Format: Base58 or Hex)

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
fromstring

Delegate account address.

tostring

Resource recipient address.

frozen_balance_for_bandwidthint64 (int64)

Amount of TRX staked for Bandwidth delegated from the from address to the to address. (Unit: sun)

frozen_balance_for_energyint64 (int64)

Amount of TRX staked for Energy delegated from the from address to the to address. (Unit: sun)

expire_time_for_bandwidthint64 (int64)

Timestamp when the Bandwidth delegation lock expires. (Unit: millisecond)

expire_time_for_energyint64 (int64)

Timestamp when the energy delegation lock expires. (Unit: millisecond)

X-API-KEY
RequestCU25
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getdelegatedresource" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "fromAddress": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "toAddress": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
  "visible": true
}'
Response
Example · 200
{
  "from": "string",
  "to": "string"
}